Categories:
  - Science & Education
License: GPL-3.0-or-later
SourceCode: https://github.com/Tyde/TuCanMobile
IssueTracker: https://github.com/Tyde/TuCanMobile/issues

AutoName: TuCanMobile
Summary: Campus system TUCaN of the TU Darmstadt
Description: |-
    Das Studentenveraltungstool TUCaN Mobile der TU Darmstadt ist über das
    Smartphone bisher sehr schwer zu bedienen gewesen. Das ändert sich nun für alle
    Android-Benutzer. Diese App liest die Seite aus und stellt sie passend für
    kleine Bildschirme dar. Derzeit kann man sich leider nicht für Veranstaltungen
    anmelden und das Anmelden für Prüfungen ist nur experimentell, jedoch ist es
    sehr praktisch um schnell mal einige Infos oder Materialien von TUCaN
    herunterzuladen.

RepoType: git
Repo: https://github.com/Tyde/TuCanMobile.git

Builds:
  - versionName: 0.3.5
    versionCode: 30
    disable: non-free libs
    commit: 0.3.5
    srclibs:
      - 1:ActionBarSherlock@4.2.0
      - 2:ViewPagerIndicator@2.4.1

  - versionName: 0.3.6
    versionCode: 31
    commit: 0.3.6
    srclibs:
      - 1:ActionBarSherlock@4.2.0
      - 2:ViewPagerIndicator@2.4.1

  - versionName: 0.3.7
    versionCode: 32
    commit: 0.3.7.1
    srclibs:
      - 1:ActionBarSherlock@4.2.0
      - 2:ViewPagerIndicator@2.4.1
    target: android-19

  - versionName: '0.4'
    versionCode: 36
    commit: '0.4'
    gradle:
      - yes
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1
    rm:
      - libs/*
    prebuild:
      - sed -i -e '/populov/d' -e '/mavenCentral/amavenLocal()' build.gradle
      - "sed -i \"s;compile 'com.viewpagerindicator:library:2.4.1@aar';compile fileTree(dir:\
        \ 'libs', include: ['*.jar']);\" build.gradle"
      - pushd $$ViewPagerIndicator$$
      - sed -i 's;<android-maven.version>3.3.0</android-maven.version>;<android-maven.version>3.6.1</android-maven.version>;'
        ../pom.xml
      - $$MVN3$$ package
      - popd
      - cp $$ViewPagerIndicator$$/target/library-2.4.1.jar libs/
      - pushd $$ActionBarSherlock$$
      - $$MVN3$$ install
      - popd

  - versionName: 0.4.1
    versionCode: 37
    commit: 0.4.1
    gradle:
      - yes
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1
    rm:
      - libs/*
    prebuild:
      - sed -i -e '/populov/d' -e '/mavenCentral/amavenLocal()' build.gradle
      - "sed -i \"s;compile 'com.viewpagerindicator:library:2.4.1@aar';compile fileTree(dir:\
        \ 'libs', include: ['*.jar']);\" build.gradle"
      - pushd $$ViewPagerIndicator$$
      - sed -i 's;<android-maven.version>3.3.0</android-maven.version>;<android-maven.version>3.6.1</android-maven.version>;'
        ../pom.xml
      - $$MVN3$$ package
      - popd
      - cp $$ViewPagerIndicator$$/target/library-2.4.1.jar libs/
      - pushd $$ActionBarSherlock$$
      - $$MVN3$$ install
      - popd

  - versionName: 0.4.2
    versionCode: 38
    commit: 0.4.2
    gradle:
      - yes
    srclibs:
      - ActionBarSherlock@4.4.0
      - ViewPagerIndicator@2.4.1
    rm:
      - libs/*
    prebuild:
      - sed -i -e '/populov/d' -e '/mavenCentral/amavenLocal()' build.gradle
      - "sed -i \"s;compile 'com.viewpagerindicator:library:2.4.1@aar';compile fileTree(dir:\
        \ 'libs', include: ['*.jar']);\" build.gradle"
      - pushd $$ViewPagerIndicator$$
      - sed -i 's;<android-maven.version>3.3.0</android-maven.version>;<android-maven.version>3.6.1</android-maven.version>;'
        ../pom.xml
      - $$MVN3$$ package
      - popd
      - cp $$ViewPagerIndicator$$/target/library-2.4.1.jar libs/
      - pushd $$ActionBarSherlock$$
      - $$MVN3$$ install
      - popd

AutoUpdateMode: None
UpdateCheckMode: Tags
CurrentVersion: 0.4.4
CurrentVersionCode: 40
